=== modified file 'bzrlib/registry.py'
--- bzrlib/registry.py	2011-03-10 12:59:19 +0000
+++ bzrlib/registry.py	2011-03-10 13:52:27 +0000
@@ -43,13 +43,6 @@
         """Get the object that was saved at creation time"""
         return self._obj
 
-    def __eq__(self, other):
-        if other == self.get_obj():
-            return True
-        if isinstance(other, self.__class__):
-            return (self.get_obj() == other.get_obj())
-        return False
-
 
 class _LazyObjectGetter(_ObjectGetter):
     """Keep a record of a possible object.
@@ -81,12 +74,6 @@
             self._imported = True
         return super(_LazyObjectGetter, self).get_obj()
 
-    def __eq__(self, other):
-        if isinstance(other, self.__class__):
-            return (self._member_name == other._member_name and
-                    self._module_name == other._module_name)
-        return super(_LazyObjectGetter, self).__eq__(other)
-
     def __repr__(self):
         return "<%s.%s object at %x, module=%r attribute=%r imported=%r>" % (
             self.__class__.__module__, self.__class__.__name__, id(self),

=== modified file 'bzrlib/tests/test_registry.py'
--- bzrlib/tests/test_registry.py	2011-03-10 12:59:19 +0000
+++ bzrlib/tests/test_registry.py	2011-03-10 13:52:27 +0000
@@ -352,36 +352,3 @@
         a_registry.register("obj", AThing())
         self.assertEquals("bzrlib.tests.test_registry",
             a_registry._get_module("obj"))
-
-
-class TestObjectGetter(tests.TestCase):
-
-    def test_eq(self):
-        obj = object()
-        objgetter1 = registry._ObjectGetter(obj)
-        objgetter2 = registry._ObjectGetter(obj)
-        self.assertEquals(objgetter1, objgetter1)
-        self.assertEquals(objgetter1, objgetter2)
-        self.assertNotEquals(objgetter1, registry._ObjectGetter(1))
-        self.assertNotEquals(objgetter1, 1)
-        self.assertEquals(objgetter1, obj)
-
-
-class TestLazyObjectGetter(tests.TestCase):
-
-    def test_eq_lazy(self):
-        # Use nonexisting objects to make sure all evaluation is lazy
-        objgetter1 = registry._LazyObjectGetter("nonexisting", "object")
-        objgetter2 = registry._LazyObjectGetter("nonexisting", "object")
-        objgetter3 = registry._LazyObjectGetter("nonexisting", "different")
-        self.assertEquals(objgetter1, objgetter1)
-        self.assertEquals(objgetter1, objgetter2)
-        self.assertNotEquals(objgetter1, objgetter3)
-
-    def test_eq(self):
-        objgetter1 = registry._LazyObjectGetter("bzrlib.tests.test_registry", "TestLazyObjectGetter")
-        objgetter2 = registry._LazyObjectGetter("bzrlib.tests.test_registry", "TestLazyObjectGetter")
-        self.assertEquals(objgetter1, objgetter2)
-        self.assertNotEquals(objgetter1, registry._ObjectGetter(1))
-        self.assertNotEquals(objgetter1, 1)
-        self.assertEquals(objgetter1, TestLazyObjectGetter)

